# certbot.plugins.dns_common_lexicon module

Internal class delegating to a module, and displaying warnings when attributes related to deprecated attributes in the current module.

class certbot.plugins.dns_common_lexicon.LexiconClient

  Bases: `object`

  Encapsulates all communication with a DNS provider via Lexicon.

  Deprecated since version 2.7.0: Please use certbot.plugins.dns_common_lexicon.LexiconDNSAuthenticator instead.

  add_txt_record(domain: str, record_name: str, record_content: str) → None

    Add a TXT record using the supplied information.

    Parameters:

      - domain (str) – The domain to use to look up the managed zone.

      - record_name (str) – The record name (typically beginning with ‘_acme-challenge.’).

      - record_content (str) – The record content (typically the challenge validation).

    Raises:

      errors.PluginError – if an error occurs communicating with the DNS Provider API

  del_txt_record(domain: str, record_name: str, record_content: str) → None

    Delete a TXT record using the supplied information.

    Parameters:

      - domain (str) – The domain to use to look up the managed zone.

      - record_name (str) – The record name (typically beginning with ‘_acme-challenge.’).

      - record_content (str) – The record content (typically the challenge validation).

    Raises:

      errors.PluginError – if an error occurs communicating with the DNS Provider API

certbot.plugins.dns_common_lexicon.build_lexicon_config(lexicon_provider_name: str, lexicon_options: Mapping[str, Any], provider_options: Mapping[str, Any]) → None | Dict[str, Any]

  Convenient function to build a Lexicon 2.x/3.x config object.

  Parameters:

    - lexicon_provider_name (str) – the name of the lexicon provider to use

    - lexicon_options (dict) – options specific to lexicon

    - provider_options (dict) – options specific to provider

  Returns:

    configuration to apply to the provider

  Return type:

    ConfigurationResolver or dict

  Deprecated since version 2.7.0: Please use certbot.plugins.dns_common_lexicon.LexiconDNSAuthenticator instead.

class certbot.plugins.dns_common_lexicon.LexiconDNSAuthenticator(config: NamespaceConfig, name: str)

  Bases: `DNSAuthenticator`

  Base class for a DNS authenticator that uses Lexicon client as backend to execute DNS record updates